Page MenuHomePhabricator

Duplicate /proc/mounts entries on labstore1001
Closed, DeclinedPublic

Description

Noticed this while investigating node_exporter failures in eqiad (reported upstream as https://github.com/prometheus/node_exporter/issues/377)

It looks like /proc/mounts on labstore1001 contains multiple entries for the same filesystem+mountpoint. AFAICT it is harmless but it might keep accumulating

labstore1001:~$ sort /proc/mounts | uniq -dc
      4 /dev/mapper/labstore-backup--others /exp/backup-others ext4 rw,relatime,stripe=768,data=ordered 0 0
      4 /dev/mapper/labstore-backup--others /srv/backup-others ext4 rw,relatime,stripe=768,data=ordered 0 0
      4 /dev/md0 /exp/backup-maps ext4 rw,relatime,errors=remount-ro,data=ordered 0 0
      4 /dev/md0 /exp/backup-others ext4 rw,relatime,errors=remount-ro,data=ordered 0 0
      4 /dev/md0 /exp/backup-scratch ext4 rw,relatime,errors=remount-ro,data=ordered 0 0
      4 /dev/md0 /exp/backup-tools ext4 rw,relatime,errors=remount-ro,data=ordered 0 0
      4 /dev/md0 /exp/project/tools-maint ext4 rw,relatime,errors=remount-ro,data=ordered 0 0
      3 /dev/md0 /srv/backup-maps ext4 rw,relatime,errors=remount-ro,data=ordered 0 0
      3 /dev/md0 /srv/backup-others ext4 rw,relatime,errors=remount-ro,data=ordered 0 0
      3 /dev/md0 /srv/backup-scratch ext4 rw,relatime,errors=remount-ro,data=ordered 0 0
      3 /dev/md0 /srv/backup-tools ext4 rw,relatime,errors=remount-ro,data=ordered 0 0
      3 /dev/md0 /srv/project/tools-maint ext4 rw,relatime,errors=remount-ro,data=ordered 0 0

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 20 2016, 12:47 AM
chasemp triaged this task as Normal priority.Jan 5 2017, 3:39 PM
chasemp closed this task as Declined.Feb 15 2017, 3:08 PM
chasemp added a subscriber: chasemp.

closing in favor of T158196